﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Configuration;

using Npgsql;

namespace MigCdm
{
    class DbUtil
    {
        private static log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);

        //データベース接続文字列
        private string conStr = @"Server=localhost;Port=5432;User Id={0};Password={1};Database={2}";

        public NpgsqlConnection open()
        {
            
            //データベース接続情報読み込み
            String dbuser = Properties.Resources.DBUSER;
            String dbpwd = Properties.Resources.DBPWD;
            String dbname = Properties.Resources.DBNAME;

            conStr = String.Format(conStr, dbuser, dbpwd, dbname);
            // データベースに接続
            NpgsqlConnection conn = new NpgsqlConnection(conStr);
            conn.Open();

            return conn;
        }
        public void close(NpgsqlConnection conn)
        {
            // データベースから切断
            if (conn != null)
            {
                conn.Close();
            }

        }
    }
}
