﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MigCdm
{
    class CmdInfoDto
    {
        /// <summary>
        /// 物理キー
        /// </summary>
        public int id { get; set; }
        /// <summary>
        /// ノードID
        /// </summary>
        public int node_id { get; set; }
        /// <summary>
        /// ノード種別　1:キャビネット, 2:フォルダ,3:プロジェクト,4:アセンブリ,5:部品,6:図面';
        /// </summary>
        public int node_type { get; set; }
        /// <summary>
        /// ノード名
        /// </summary>
        public String node_name { get; set; }
        /// <summary>
        /// 親ノードID
        /// </summary>
        public int parent_node_id { get; set; }
        /// <summary>
        /// 階層レベル
        /// </summary>
        public int level { get; set; }
        /// <summary>
        /// キャビネット名
        /// </summary>
        public String cabinet_name { get; set; }
        /// <summary>
        /// ノードパス
        /// </summary>
        public String path { get; set; }
        /// <summary>
        /// 作成日時
        /// </summary>
        public DateTime create_time { get; set; }
        /// <summary>
        /// 作成者
        /// </summary>
        public String create_user { get; set; }

    }
}
